from math import pi
from math import sin
from math import cos

d = lambda x: x/180 * pi

xy = lambda t: (128 + 120 * cos(d(t)),
                128 - 120 * sin(d(t)))

s = ''
for x, y in map(xy, map(lambda x: x * 60 + 30, range(6))):
    s += ' %d,%d' % (x, y)

t = f'''magick -size 256x256 xc:none \\
   -fill white -draw 'polygon{s}' \\
   -define gradient:angle=150 gradient:\#fc9-\#630 \\
   -compose src-in -composite \\
   -strokewidth 8 -stroke white -fill none -draw 'polygon{s}' \\
   -stroke none -fill \#333 -draw 'circle 128,128 96,96' puting.png'''

print(t)
